/* Layout */
import Layout from '@/layout'

export default {
  path: '/creditManagement',
  component: Layout,
  redirect: '/supplierManage/index',
  name: 'CreditManagement',
  meta: {
    title: '授信管理',
    icon: 'creditManagement'
  },
  children: [{
    path: '/supplierManage/index',
    name: 'SupplierManage',
    component: () => import('@/views/creditManage/supplierManage/index'),
    meta: { title: '供应商授信' },
    children: [
      {
        path: '/supplierManage/dueDistribution/:id',
        name: 'DueDistribution',
        component: () => import('@/views/creditManage/supplierManage/dueDistribution'),
        hidden: true,
        meta: { title: '尽调分配', activeMenu: '/supplierManage/index' }
      },
      {
        path: '/supplierManage/timeConfirm/:id',
        name: 'TimeConfirm',
        component: () => import('@/views/creditManage/supplierManage/timeConfirm'),
        hidden: true,
        meta: { title: '尽调时间确认', activeMenu: '/supplierManage/index' }
      },
      {
        path: '/supplierManage/videoDue/:id',
        name: 'VideoDue',
        component: () => import('@/views/creditManage/supplierManage/videoDue/index'),
        hidden: true,
        meta: { title: '视频尽调', activeMenu: '/supplierManage/index' }
      },
      {
        path: '/supplierManage/auditing/:id',
        name: 'SupplierAuditing',
        component: () => import('@/views/creditManage/supplierManage/auditing/index'),
        hidden: true,
        meta: { title: '供应商审核', activeMenu: '/supplierManage/index' }
      },
      {
        path: '/supplierManage/auditingTwo/:id',
        name: 'SupplierAuditingTwo',
        component: () => import('@/views/creditManage/supplierManage/auditingTwo/index'),
        hidden: true,
        meta: { title: '供应商审核', activeMenu: '/supplierManage/index' }
      },
      {
        path: '/supplierManage/admissionReport/:id',
        name: 'AdmissionReport',
        component: () => import('@/views/creditManage/supplierManage/admissionReport/index'),
        hidden: true,
        meta: { title: '供应商准入报告', activeMenu: '/supplierManage/index' }
      },
      {
        path: '/supplierManage/see/:id',
        name: 'SupplierManageSee',
        component: () => import('@/views/creditManage/supplierManage/see'),
        hidden: true,
        meta: { title: '查看', activeMenu: '/supplierManage/index' }
      }
    ]
  },
  {
    path: '/projectCredit/index',
    name: 'ProjectCredit',
    component: () => import('@/views/creditManage/projectCredit/index'),
    meta: { title: '项目授信' },
    children: [
      {
        path: '/projectCredit/dueReview/:id',
        name: 'DueReview',
        component: () => import('@/views/creditManage/projectCredit/dueReview/index'),
        hidden: true,
        meta: { title: '尽调审核', activeMenu: '/projectCredit/index' }
      },
      {
        path: '/projectCredit/projectAdmittance/:id',
        name: 'ProjectAdmittance',
        component: () => import('@/views/creditManage/projectCredit/projectAdmittance'),
        hidden: true,
        meta: { title: '项目准入报告', activeMenu: '/projectCredit/index' }
      },
      {
        path: '/projectCredit/companyAdmittance/:id',
        name: 'CompanyAdmittance',
        component: () => import('@/views/creditManage/projectCredit/companyAdmittance'),
        hidden: true,
        meta: { title: '核心企业准入报告', activeMenu: '/projectCredit/index' }
      },
      {
        path: '/projectCredit/projectView/:id',
        name: 'ProjectView',
        component: () => import('@/views/creditManage/projectCredit/projectView'),
        hidden: true,
        meta: { title: '项目信息查看', activeMenu: '/projectCredit/index' }
      },
      {
        path: '/projectCredit/companyView/:id',
        name: 'CompanyView',
        component: () => import('@/views/creditManage/projectCredit/companyView'),
        hidden: true,
        meta: { title: '核心企业信息查看', activeMenu: '/projectCredit/index' }
      }
    ]
  },
  {
    path: '/resolutionManage/index',
    name: 'ResolutionManage',
    component: () => import('@/views/creditManage/resolutionManage/index'),
    meta: { title: '授信决议', ename: 'enterprise1' },
    children: [
      {
        path: '/resolutionManage/resolution/:id',
        name: 'CreditResolution',
        component: () => import('@/views/creditManage/resolutionManage/resolution'),
        hidden: true,
        meta: { title: '授信决议', activeMenu: '/resolutionManage/index' }
      },
      {
        path: '/resolutionManage/resolution/:id',
        name: 'CreditResolutionConfirm',
        component: () => import('@/views/creditManage/resolutionManage/resolutionConfirm'),
        hidden: true,
        meta: { title: '授信决议确认', activeMenu: '/resolutionManage/index' }
      },
      {
        path: '/resolutionManage/reviewApproval/:id',
        name: 'ReviewApproval',
        component: () => import('@/views/creditManage/resolutionManage/reviewApproval'),
        hidden: true,
        meta: { title: '复议调整审批', activeMenu: '/resolutionManage/index' }
      },
      {
        path: '/resolutionManage/ReviewAdjustment/:id',
        name: 'ReviewAdjustment',
        component: () => import('@/views/creditManage/resolutionManage/reviewAdjustment'),
        hidden: true,
        meta: { title: '复议调整', activeMenu: '/resolutionManage/index' }
      },
      {
        path: '/resolutionManage/ResolutionDetail/:id',
        name: 'ResolutionDetail',
        component: () => import('@/views/creditManage/resolutionManage/detail'),
        hidden: true,
        meta: { title: '查看详情', activeMenu: '/resolutionManage/index' }
      }
    ]
  }]
}
